Skip to main content
POST
/
destinations
Create New Destination
curl --request POST \
  --url https://api.streamkap.com/destinations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "connector": "<string>",
  "config": {
    "bigquery.json": {},
    "table.name.prefix": "<string>",
    "consumer.override.max.poll.records": 10000,
    "tasks.max": 5,
    "preserve.null.values": false,
    "quote.identifiers": true,
    "transforms.ToIntJ.fields.include.list": "<string>",
    "transforms.ToFloatJ.fields.include.list": "<string>",
    "transforms.ToDecimalJ.fields.include.list": "<string>",
    "transforms.ToDecimalJ.truncate.to.max.precision": false,
    "transforms.ToStringJ.fields.include.list": "<string>",
    "transforms.ToJsonJ.fields.include.list": "<string>",
    "transforms.ToJsonJ.convert.all.complex.types.user.defined": false,
    "transforms.ToJsonbJ.fields.include.list": "<string>",
    "transforms.ToJsonbJ.convert.all.complex.types.user.defined": false,
    "transforms.ToJsonbJ.convert.all.json": false,
    "transforms.StringReplace.fields.include.list": "<string>",
    "transforms.StringReplace.regex.patterns": "<string>",
    "transforms.StringReplace.replacement.values": "<string>",
    "transforms.OversizedRecords.fields.include.list": "<string>",
    "transforms.OversizedRecords.fields.exclude.list": "<string>",
    "transforms.OversizedRecords.max.field.size.bytes": 1048576,
    "transforms.OversizedRecords.oversized.field.behavior": "TRUNCATE",
    "transforms.OversizedRecords.truncation.suffix": "",
    "transforms.OversizedRecords.max.record.size.bytes": -1,
    "transforms.OversizedRecords.semantic.types.exclude": "io.debezium.data.Json,io.debezium.data.Xml",
    "transforms.OversizedRecords.replace.null.with.default": true,
    "transforms.AddStringSuffix.fields.include.list": "<string>",
    "transforms.changeTopicName.match.regex.user.defined": "<string>",
    "transforms.RenameFields.renames.user.defined": "<string>",
    "transforms.DropFields.fields.include.list": "<string>",
    "transforms.MarkColumnsAsRequired.fields.include.all": false,
    "transforms.MarkColumnsAsRequired.null.sentinel.mode": "NONE",
    "transforms.MarkColumnsAsOptional.fields.include.list": "<string>",
    "transforms.CopyField.copy.field.mapping": "<string>",
    "transforms.HeaderToFieldCustom.header.mappings": "<string>",
    "bigquery.region": "us-central1",
    "custom.bigquery.cluster.field": "<string>",
    "custom.bigquery.partition.field": "<string>",
    "bigquery.time.based.partition": false
  },
  "created_from": "api",
  "kc_cluster_id": "<string>",
  "tags": [
    "<string>"
  ]
}
'
import requests

url = "https://api.streamkap.com/destinations"

payload = {
"name": "<string>",
"connector": "<string>",
"config": {
"bigquery.json": {},
"table.name.prefix": "<string>",
"consumer.override.max.poll.records": 10000,
"tasks.max": 5,
"preserve.null.values": False,
"quote.identifiers": True,
"transforms.ToIntJ.fields.include.list": "<string>",
"transforms.ToFloatJ.fields.include.list": "<string>",
"transforms.ToDecimalJ.fields.include.list": "<string>",
"transforms.ToDecimalJ.truncate.to.max.precision": False,
"transforms.ToStringJ.fields.include.list": "<string>",
"transforms.ToJsonJ.fields.include.list": "<string>",
"transforms.ToJsonJ.convert.all.complex.types.user.defined": False,
"transforms.ToJsonbJ.fields.include.list": "<string>",
"transforms.ToJsonbJ.convert.all.complex.types.user.defined": False,
"transforms.ToJsonbJ.convert.all.json": False,
"transforms.StringReplace.fields.include.list": "<string>",
"transforms.StringReplace.regex.patterns": "<string>",
"transforms.StringReplace.replacement.values": "<string>",
"transforms.OversizedRecords.fields.include.list": "<string>",
"transforms.OversizedRecords.fields.exclude.list": "<string>",
"transforms.OversizedRecords.max.field.size.bytes": 1048576,
"transforms.OversizedRecords.oversized.field.behavior": "TRUNCATE",
"transforms.OversizedRecords.truncation.suffix": "",
"transforms.OversizedRecords.max.record.size.bytes": -1,
"transforms.OversizedRecords.semantic.types.exclude": "io.debezium.data.Json,io.debezium.data.Xml",
"transforms.OversizedRecords.replace.null.with.default": True,
"transforms.AddStringSuffix.fields.include.list": "<string>",
"transforms.changeTopicName.match.regex.user.defined": "<string>",
"transforms.RenameFields.renames.user.defined": "<string>",
"transforms.DropFields.fields.include.list": "<string>",
"transforms.MarkColumnsAsRequired.fields.include.all": False,
"transforms.MarkColumnsAsRequired.null.sentinel.mode": "NONE",
"transforms.MarkColumnsAsOptional.fields.include.list": "<string>",
"transforms.CopyField.copy.field.mapping": "<string>",
"transforms.HeaderToFieldCustom.header.mappings": "<string>",
"bigquery.region": "us-central1",
"custom.bigquery.cluster.field": "<string>",
"custom.bigquery.partition.field": "<string>",
"bigquery.time.based.partition": False
},
"created_from": "api",
"kc_cluster_id": "<string>",
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
connector: '<string>',
config: {
'bigquery.json': {},
'table.name.prefix': '<string>',
'consumer.override.max.poll.records': 10000,
'tasks.max': 5,
'preserve.null.values': false,
'quote.identifiers': true,
'transforms.ToIntJ.fields.include.list': '<string>',
'transforms.ToFloatJ.fields.include.list': '<string>',
'transforms.ToDecimalJ.fields.include.list': '<string>',
'transforms.ToDecimalJ.truncate.to.max.precision': false,
'transforms.ToStringJ.fields.include.list': '<string>',
'transforms.ToJsonJ.fields.include.list': '<string>',
'transforms.ToJsonJ.convert.all.complex.types.user.defined': false,
'transforms.ToJsonbJ.fields.include.list': '<string>',
'transforms.ToJsonbJ.convert.all.complex.types.user.defined': false,
'transforms.ToJsonbJ.convert.all.json': false,
'transforms.StringReplace.fields.include.list': '<string>',
'transforms.StringReplace.regex.patterns': '<string>',
'transforms.StringReplace.replacement.values': '<string>',
'transforms.OversizedRecords.fields.include.list': '<string>',
'transforms.OversizedRecords.fields.exclude.list': '<string>',
'transforms.OversizedRecords.max.field.size.bytes': 1048576,
'transforms.OversizedRecords.oversized.field.behavior': 'TRUNCATE',
'transforms.OversizedRecords.truncation.suffix': '',
'transforms.OversizedRecords.max.record.size.bytes': -1,
'transforms.OversizedRecords.semantic.types.exclude': 'io.debezium.data.Json,io.debezium.data.Xml',
'transforms.OversizedRecords.replace.null.with.default': true,
'transforms.AddStringSuffix.fields.include.list': '<string>',
'transforms.changeTopicName.match.regex.user.defined': '<string>',
'transforms.RenameFields.renames.user.defined': '<string>',
'transforms.DropFields.fields.include.list': '<string>',
'transforms.MarkColumnsAsRequired.fields.include.all': false,
'transforms.MarkColumnsAsRequired.null.sentinel.mode': 'NONE',
'transforms.MarkColumnsAsOptional.fields.include.list': '<string>',
'transforms.CopyField.copy.field.mapping': '<string>',
'transforms.HeaderToFieldCustom.header.mappings': '<string>',
'bigquery.region': 'us-central1',
'custom.bigquery.cluster.field': '<string>',
'custom.bigquery.partition.field': '<string>',
'bigquery.time.based.partition': false
},
created_from: 'api',
kc_cluster_id: '<string>',
tags: ['<string>']
})
};

fetch('https://api.streamkap.com/destinations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "name": "<string>",
  "connector": "<string>",
  "id": "<string>",
  "connector_display_name": "<string>",
  "created_timestamp": "<string>",
  "sub_id": "<string>",
  "tenant_id": "<string>",
  "config": {
    "bigquery.json": {},
    "table.name.prefix": "<string>",
    "consumer.override.max.poll.records": 10000,
    "tasks.max": 5,
    "preserve.null.values": false,
    "quote.identifiers": true,
    "transforms.ToIntJ.fields.include.list": "<string>",
    "transforms.ToFloatJ.fields.include.list": "<string>",
    "transforms.ToDecimalJ.fields.include.list": "<string>",
    "transforms.ToDecimalJ.truncate.to.max.precision": false,
    "transforms.ToStringJ.fields.include.list": "<string>",
    "transforms.ToJsonJ.fields.include.list": "<string>",
    "transforms.ToJsonJ.convert.all.complex.types.user.defined": false,
    "transforms.ToJsonbJ.fields.include.list": "<string>",
    "transforms.ToJsonbJ.convert.all.complex.types.user.defined": false,
    "transforms.ToJsonbJ.convert.all.json": false,
    "transforms.StringReplace.fields.include.list": "<string>",
    "transforms.StringReplace.regex.patterns": "<string>",
    "transforms.StringReplace.replacement.values": "<string>",
    "transforms.OversizedRecords.fields.include.list": "<string>",
    "transforms.OversizedRecords.fields.exclude.list": "<string>",
    "transforms.OversizedRecords.max.field.size.bytes": 1048576,
    "transforms.OversizedRecords.oversized.field.behavior": "TRUNCATE",
    "transforms.OversizedRecords.truncation.suffix": "",
    "transforms.OversizedRecords.max.record.size.bytes": -1,
    "transforms.OversizedRecords.semantic.types.exclude": "io.debezium.data.Json,io.debezium.data.Xml",
    "transforms.OversizedRecords.replace.null.with.default": true,
    "transforms.AddStringSuffix.fields.include.list": "<string>",
    "transforms.changeTopicName.match.regex.user.defined": "<string>",
    "transforms.RenameFields.renames.user.defined": "<string>",
    "transforms.DropFields.fields.include.list": "<string>",
    "transforms.MarkColumnsAsRequired.fields.include.all": false,
    "transforms.MarkColumnsAsRequired.null.sentinel.mode": "NONE",
    "transforms.MarkColumnsAsOptional.fields.include.list": "<string>",
    "transforms.CopyField.copy.field.mapping": "<string>",
    "transforms.HeaderToFieldCustom.header.mappings": "<string>",
    "bigquery.region": "us-central1",
    "custom.bigquery.cluster.field": "<string>",
    "custom.bigquery.partition.field": "<string>",
    "bigquery.time.based.partition": false
  },
  "topic_ids": [
    "<string>"
  ],
  "topic_map": {},
  "topics": [
    "<string>"
  ],
  "tasks": [
    123
  ],
  "connector_status": "<string>",
  "desired_state": "<string>",
  "kc_cluster_id": "<string>",
  "task_statuses": {},
  "tags": [
    "<string>"
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

secret_returned
boolean
default:false

Whether to include secret values in the response

wait
boolean
default:true

When False, save config and return immediately without waiting for KC deployment

Body

application/json

Request body for creating a new destination connector.

name
string
required

Display name for the destination connector.

connector
string
required

Connector type identifier (e.g., 'snowflake', 'bigquery', 'clickhouse', 'postgresql', 's3').

config
BigQuery · object
required

Configuration properties for the BigQuery destination connector.

created_from
enum<string> | null
default:api

Origin of the entity creation.

Available options:
terraform,
web,
api
desired_state
enum<string> | null

Desired operational state of the destination.

Available options:
Pending,
Active,
Paused,
Stopped,
Pending Update,
Pending Delete
kc_cluster_id
string | null

KC cluster to deploy this connector to. Omit for default cluster.

tags
string[] | null

List of tag IDs to assign to this destination

Response

Successful Response

Destination connector configuration and status.

name
string | null

User-defined connector name

connector
string | null

Connector type (e.g., 'snowflake', 'bigquery', 'clickhouse')

id
string | null

Unique identifier

connector_display_name
string | null

Human-readable connector type name

created_timestamp

Creation timestamp (ISO 8601)

sub_id
string | null

Subscription identifier

tenant_id
string | null

Tenant identifier for multi-tenancy

config
BigQuery · object

Configuration properties for the BigQuery destination connector.

topic_ids
(string | integer)[] | null

List of associated topic identifiers

topic_map
Topic Map · object | null

Mapping of topics to their partitions or related entities

topics
(string | integer)[] | null

List of topic names

tasks
integer[] | null

List of task identifiers

connector_status
string | null

Current status: Active, Paused, Stopped, Broken, Starting, Unassigned, Unknown, Pending

desired_state
string | null

Desired state: Pending, Active, Paused, Stopped

kc_cluster_id
string | null

KC cluster this connector is deployed to. None means default cluster.

task_statuses
Task Statuses · object | null

Status information for each connector task

tags
string[] | null

List of tag IDs assigned to this destination